Markets

List categories

GET
/categories

Authorization

appId
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

Query Parameters

parentId?string
limit?number
Range1 <= value <= 100
cursor?string

Response Body

200

application/json
  1. response
data*array<>

This page of results.

nextCursor*string

Pass as cursor to fetch the next page; null on the last page.

hasMore*boolean

true when another page exists.

Example Request
curl -X GET 'https://api.t.sufwankhalid.com/categories'
Example Response
{  "data": [    {      "id": "string",      "name": "string",      "displayName": "string",      "parentId": "string",      "eventCount": 0,      "volume24hr": 0,      "volume": 0    }  ],  "nextCursor": "string",  "hasMore": true}